<template>
  <header>
    <div class="container">
      <slot></slot>
      <img :src="require('../assets/logo-white.svg')" alt="logo" />
    </div>
  </header>
</template>

<script>
export default {
  name: "AppHeader",
};
</script>

<style scoped lang="scss">
header {
  height: 64px;
  background-color: $blue2;
  display: flex;
  align-items: center;
  justify-content: center;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 20;
  > .container {
    display: grid;
    grid-template-columns: 24px 1fr 24px;
    grid-template-areas: "slot1 logo slot2";
    justify-items: center;
    grid-gap: $base-space * 8;
    > img {
      grid-area: logo;
    }
  }
}
</style>
